Name:		mock-ghiapet
Version:	39.2
Release:	1%{?dist}
Summary:	Mock configuration files for the GhiaPet Repository

Group:		Development/Tools
License:	BSD
URL:		http://www.ghiapet.net/
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:	noarch
Requires:	ghiapet-repos >= 39.2
Requires:	mock-core-configs >= 41
Requires:	mock-rpmfusion-nonfree >= 39

%description
Mock configuration files for the GhiaPet Repository


%prep
%setup


%build


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__mkdir_p} $RPM_BUILD_ROOT%{_sysconfdir}/mock
%{__install} -p -m 0644 *.cfg $RPM_BUILD_ROOT%{_sysconfdir}/mock
# %%{__install} -p -D -t $RPM_BUILD_ROOT%%{_sysconfdir}/mock/ eol templates
# %%{__install} -p templates $RPM_BUILD_ROOT%%{_sysconfdir}/mock/
%{__cp} -a eol templates $RPM_BUILD_ROOT%{_sysconfdir}/mock/


%files
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/mock/*-ghiapet*.cfg
%config(noreplace) %{_sysconfdir}/mock/eol/*-ghiapet*.cfg
%config(noreplace) %{_sysconfdir}/mock/templates/*ghiapet-*.tpl


%changelog
* Sun Aug 25 2024 J. Randall Owens <jrowens@ghiapet.net> - 39.2-1
- update for Fedora/GhiaPet 39.2

* Sun Dec 11 2022 J. Randall Owens <jrowens@ghiapet.net> - 37-1
- update for Fedora/GhiaPet 37

* Sat May 21 2022 J. Randall Owens <jrowens@ghiapet.net> - 36-1
- update for Fedora/GhiaPet 36

* Sat Nov 20 2021 J. Randall Owens <jrowens@ghiapet.net> - 35.1-2
- require ghiapet-repos for GPG key at least

* Tue Nov  9 2021 J. Randall Owens <jrowens@ghiapet.net> - 35.1-1
- update with mock templates

* Wed Nov  3 2021 J. Randall Owens <jrowens@ghiapet.net> - 35-1
- update for GhiaPet/Fedora 35

* Sun Sep 19 2021 J. Randall Owens <jrowens@ghiapet.net> - 34-1
- update for GhiaPet/Fedora 34

* Thu Dec  3 2020 J. Randall Owens <jrowens@ghiapet.net> - 33-1
- update for GhiaPet/Fedora 33

* Thu Apr 30 2020 J. Randall Owens <jrowens@ghiapet.net> - 32-1
- update for GhiaPet/Fedora 32

* Tue Oct 29 2019 J. Randall Owens <jrowens@ghiapet.net> - 31-1
- update for GhiaPet/Fedora 31
- new packaging style (no clean)

* Tue Sep 11 2018 J. Randall Owens <jrowens@deneb.ghiapet.net> - 29-1
- update for GhiaPet/Fedora 29

* Tue Sep 11 2018 J. Randall Owens <jrowens@deneb.ghiapet.net> - 28.1-1
- update mock entries
- add armhfp & aarch64 architectures
- change spec/SRPM to build from tarball instead of individual files

* Mon May 14 2018 J. Randall Owens <jrowens@deneb.ghiapet.net> - 28-1
- update for GhiaPet/Fedora 28

* Mon Nov  6 2017 J. Randall Owens <jrowens@deneb.ghiapet.net> - 27-1
- update for GhiaPet/Fedora 27

* Tue Jul 11 2017 J. Randall Owens <jrowens@ghiapet.net> - 26-2
- remove i386 build for Fedora/GhiaPet 26

* Fri Jul  7 2017 J. Randall Owens <jrowens@ghiapet.net> - 26-1
- add conditionals for dists
- update for GhiaPet/Fedora 26

* Sun Dec  4 2016 J. Randall Owens <jrowens@ghiapet.net> - 25-3
- remove old & irrelevant configs
- use include syntax
- add rawhide

* Wed Nov 23 2016 J. Randall Owens <jrowens@ghiapet.net> - 25-2
- fix GPG key path

* Wed Nov 23 2016 J. Randall Owens <jrowens@ghiapet.net> - 25-1
- update for GhiaPet/Fedora 25

* Fri Jun 24 2016 J. Randall Owens <jrowens@ghiapet.net> - 24-1
- update for GhiaPet/Fedora 24

* Sun Nov 22 2015 J. Randall Owens <jrowens@ghiapet.net> - 23-1
- update for GhiaPet/Fedora 23

* Sun May 24 2015 J. Randall Owens <jrowens@ghiapet.net> - 22-1
- update for GhiaPet/Fedora 22

* Thu Jan  8 2015 J. Randall Owens <jrowens@ghiapet.net> - 21-4
- fix metalink URL for F21

* Mon Jan  5 2015 J. Randall Owens <jrowens@ghiapet.net> - 21-3
- temp fix for still-missing RPMFusion repos

* Mon Jan  5 2015 J. Randall Owens <jrowens@ghiapet.net> - 21-2
- clean up and update format
- add EL 7

* Fri Jul 18 2014 J. Randall Owens <jrowens@rs4.ghiapet.net> - 21-1
- update for GhiaPet/Fedora 21

* Fri Sep 27 2013 J. Randall Owens <jrowens@rs3.ghiapet.net> - 20-1
- update to GhiaPet/Fedora 20

* Mon Aug 19 2013 J. Randall Owens <jrowens@rs3.ghiapet.net> - 19-1
- update to GhiaPet/Fedora 19

* Sun Aug 11 2013 J. Randall Owens <jrowens@rs3.ghiapet.net> - 18-4
- add mock config for GhiaPet/Fedora 19

* Sat Feb  9 2013 J. Randall Owens <jrowens@rs3.ghiapet.net> - 18-2.fc18.gp
- add mock configurations for CentOS/EL plus GhiaPet

* Fri Feb  1 2013 J. Randall Owens <jrowens@rs3.ghiapet.net> - 18-1.fc18.gp
- Update for GhiaPet/Fedora 18

* Wed May 30 2012 J. Randall Owens <jrowens@ghiapet.net> - 17-1.fc17.gp
- Update for GhiaPet/Fedora 17

* Thu Dec  1 2011 J. Randall Owens <jrowens@ghiapet.net> - 16-1.fc16.gp
- Update for GhiaPet/Fedora 16

* Wed Jun  8 2011 J. Randall Owens <jrowens@ghiapet.net> - 15.0-1.fc15.gp
- Update for GhiaPet/Fedora 15

* Tue Nov 30 2010 J. Randall Owens <jrowens@ghiapet.net> - 14.0-1
- Update for GhiaPet/Fedora 14

* Tue Jun 15 2010 J. Randall Owens <jrowens@ghiapet.net> - 13.0-2
- create extra local target for using repo mirrors

* Mon Jan 18 2010 J. Randall Owens <jrowens@ghiapet.net> - 12.0-2
- Use individual files instead of tarball for easier maintenance

* Tue Dec 29 2009 J. Randall Owens <jrowens@ghiapet.net> - 11.0-1
- adapt for GhiaPet use

* Wed Sep  2 2009 kwizart < kwizart at gmail.com > - 11.1-1
- Sync epel 4/5 (Moved to koji, removed plague reference)

* Fri Jul 31 2009 kwizart < kwizart at gmail.com > - 11.0-2
- Switch to target i686 on x86 for Rawhide F-12

* Tue May 12 2009 kwizart < kwizart at gmail.com > - 11.0-1
- Branch for F-11

* Wed Mar  4 2009 kwizart < kwizart at gmail.com > - 10.1-1
- Update to 10.1
- Fix Rawhide dist to .f11
- Set Rawhide default target_arch to i586 for x86

* Mon Feb 23 2009 kwizart < kwizart at gmail.com > - 10.0-1
- Bump to 10.0

* Fri Feb 20 2009 kwizart < kwizart at gmail.com > - 0.93-1
- Update to 0.93
- Add need_sign repos (desactivated by default).
- Use the same root as the mother distro.

* Thu Dec 18 2008 kwizart < kwizart at gmail.com > - 0.90-1
- Initial package.

